Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
Mercury.Exceptions.InvalidElementException Class Reference

An exception representing a problem with Mercury.Interpreting.IElement descendants. More...

Inheritance diagram for Mercury.Exceptions.InvalidElementException:

## Public Member Functions
| InvalidElementException (IElement element, string reason=null)
| Initializes a new instance of the InvalidElementException class. More...
Public Member Functions inherited from Mercury.Exceptions.InterpretingException
| InterpretingException ()
| Initializes a new instance of the InterpretingException class. More...
| InterpretingException (string message)
| Initializes a new instance of the InterpretingException class with a specified message. More...
| InterpretingException (string message, Exception inner)
| Initializes a new instance of the InterpretingException class wit a specified message and an exception that caused this problem. More...
Public Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException ()
| Initializes a new instance of the MercuryException class. More...
| MercuryException (string message)
| Initializes a new instance of the MercuryException class with a specified error message. More...
| MercuryException (string message, Exception inner)
| Initializes a new instance of the MercuryException class with a specified error message and an exception that caused the problem. More...

## Additional Inherited Members
Protected Member Functions inherited from Mercury.Exceptions.InterpretingException
| InterpretingException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the InterpretingException class with serialization data. More...
Protected Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the MercuryException class with serialized data. More...

## Detailed Description

An exception representing a problem with Mercury.Interpreting.IElement descendants.

Definition at line 87 of file InterpretingExceptions.cs.

## Constructor & Destructor Documentation

Mercury.Exceptions.InvalidElementException.InvalidElementException | ( | IElement | element,
|  | string | reason = `null`
| ) |  |

Initializes a new instance of the InvalidElementException class.

Parameters

  element | The element
  reason | The reason of the problem.

Definition at line 95 of file InterpretingExceptions.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Exceptions/InterpretingExceptions.cs